namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IMapping
{ // ...

    static string GetDeterministicHashCodeKeyDisplay(int id, int normalizedPixelPercentage)
        => $"{id}.{normalizedPixelPercentage}";

    static double GetDeterministicHashCodeKeyValue(int locationDigits, int id, int normalizedPixelPercentage)
        => Math.Round(double.Parse($"{id}.{normalizedPixelPercentage}"), locationDigits);

    (int?, int?) TestStatic_GetReversedDeterministicHashCodeKey(int locationDigits, bool keyValuePairsAny, Dictionary<int, List<Models.Face>> keyValuePairs, string file) =>
        GetReversedDeterministicHashCodeKey(locationDigits, keyValuePairsAny, keyValuePairs, file);
    static (int?, int?) GetReversedDeterministicHashCodeKey(int locationDigits, bool keyValuePairsAny, Dictionary<int, List<Models.Face>> keyValuePairs, string file) =>
        Mapping.GetReversedDeterministicHashCodeKey(locationDigits, keyValuePairsAny, keyValuePairs, file);

}